Subject: Re: Status of next steps

From: "Hattig, Myron" <[email-masked]>
Date: Tue, 12 Jan 1999 10:14:13 -0800

An additional issue that should be added to the summary is to defined the
OUI-specific field in the GASP header. Kenji suggested calling the field
reserved. I agree with this idea.

> -----Original Message-----
> From: Hattig, Myron
> Sent: Tuesday, January 12, 1999 10:11 AM
> To:   [email-masked]'
> Subject:      Status of next steps
>
> Happy return from the holidays. I hope everyone is rested and
> caught-up
> on their emial.
>
> It's a few days past January 7th, so it appears we have WG consensus
> to follow the below next steps. Here is my understanding of the status
> of the next steps.
>
> 1) Broadcast channel:
> I talked to Peter J. on the phone. Peter is the editor of the IP/1394
> spec and the p1394.a spec. He will provide IP/1394 WG with
> the necessary
> p1394.a text in the next few weeks. This step is no track for
> completion in
> or before February.
>
> 2) GASP header:
> GASP header text will also be in the p1394.a according to
> Peter. Text should also be forthcoming to the ip/1394 WG.
>
> 3) ARP, MCAP, and signature:
> ARP follows the draft
> http://www.ietf.org/internet-drafts/draft-johansson-ip1394-asy
> nch-streams-00.txt
>
> MCAP follows the format of
>                      1                   2                   3
>  0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> |             length            |    reserved   |     opcode    |
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
> Signature either remains the same as draft version 12 or is reserved
> as Kenji suggests. We need further discussion on this point.
>
> 4) IP/1394 Unit directory:
> Use IANA OUI for Spec Unit ID. Value is 0x00005E. Everyone
> agrees with
> this.
>
> Use concatenation of EtherType and ARP Hardware Type
> for Unit_Sw_version. EtherType identifes either IPv4
> or IPv6, the 1394 hardware Type (0x18) provides further
> identification to the specs we are producing. Kenji
> thought the EtherType was enough.
>
> Do people have additional thoughts about what this unit
> directory should look like?
>
> ------------------------------------------------------
> To summarize we need closure on signature, Unit_Sw_Version, and
> additional things in unit directory.
>
> -myron
>
>